#include <iostream>		//	cin, cout用ヘッダーファイル
#include <fstream>		//	テキストファイル入出力ストリーム用ヘッダーファイル
#include <string>		//	string型使用のため

using namespace std;

int main(){
	char nm_fin[100], nm_fout[100];
	cout << "Input File Name = ";
	cin >> nm_fin;
	ifstream fin;		//	テキストファイル入力用ストリーム
	fin.open(nm_fin);
	if(fin.fail()){
		cout << "fin.open() failed." << endl;
		return 9;
	}

	cout << "Output File Name = ";
	cin >> nm_fout;
	ofstream fout;		//	テキストファイル出力用ストリーム
	fout.open(nm_fout);
	if(fout.fail()){
		cout << "fout.open() failed." << endl;
		return 9;
	}

	string str;
	int id = 0;
	while(true){
		fin >> str;
		if (fin.fail()) break;			//	ファイルを最後まで読み込んだ
		fout << (id++) << ": " << str << endl;
	}
	fin.close();
	fout.close();

	return 0;
}
